from __future__ import division
from solver4 import *

def close_enough(a,b):
	epsilon = 0.001
	return abs(a-b)<epsilon

s = Simulation()

x = Variable()
x.derivative = a = Variable()

C1 = Constraint(Expr.sum(Expr.variable(a), Expr.constant(-1)))

s.add_variable(x)
s.add_variable(a)
s.add_constraint(C1)

c = s.calculate_change({x:2, a:1}, 5)
assert close_enough(c[x], 7)