from solver4 import *

s = Simulation()
s.max_iterations = 1

x = Variable()
x.derivative = a = Variable()
y = Variable()
y.derivative = b = Variable()

C1 = Constraint(Expr.sum(Expr.variable(x), Expr.variable(y)))

s.add_variable(x)
s.add_variable(a)
s.add_variable(y)
s.add_variable(b)
s.add_constraint(C1)

assert s.calculate_completion({a:5})[b] == -5