from solver4 import *

# This test attempts to solve the system of equations:
#
# y = 4
# y = 5
#
# Obviously, this is impossible.

s = Simulation()

y = Variable()
C1 = Constraint(Expr.sum(Expr.variable(y), Expr.constant(-4)))
C2 = Constraint(Expr.sum(Expr.variable(y), Expr.constant(-5)))

s.add_variable(y)
s.add_constraint(C1)
s.add_constraint(C2)

try:
	s.calculate_completion({})
except SolverError:
 	pass
else:
	raise Exception, "Solver thinks 4 can be equal to 5."