from solver4 import *

def close_enough(a,b):
	epsilon = 0.0000001
	return abs(a-b)<epsilon

s = Simulation()

a = Variable()
C1 = Constraint(Expr.sum(Expr.product(Expr.variable(a), Expr.variable(a)), Expr.constant(-4)))

s.add_variable(a)
s.add_constraint(C1)

assert close_enough(s.calculate_completion({}, {a:100})[a], 2)
assert close_enough(s.calculate_completion({}, {a:-100})[a], -2)