from solver4 import *
import math

# This test solves the equation:
# e^a = e^3

def close_enough(a,b):
	epsilon = 0.0001
	return abs(a-b)<epsilon

s = Simulation()

a = Variable()
C1 = Constraint(Expr.sum(Expr.exponential(Expr.variable(a)), Expr.constant(-math.e**3)))

s.add_variable(a)
s.add_constraint(C1)

assert close_enough(s.calculate_completion({}, {a:5})[a], 3)
