from solver4 import *

s = Simulation()

a = Variable()
b = Variable()
c = Variable()

C1 = Constraint(Expr.sum(Expr.variable(a), Expr.variable(b), Expr.constant(-10))) # a + b = 10
C2 = Constraint(Expr.sum(Expr.variable(a), Expr.variable(c), Expr.constant(2))) # a + c = -2
C3 = Constraint(Expr.sum(Expr.variable(b), Expr.variable(c), Expr.constant(4))) # b + c = -4

s.add_variable(a)
s.add_variable(b)
s.add_variable(c)
s.add_constraint(C1)
s.add_constraint(C2)
s.add_constraint(C3)

answer = s.calculate_completion({})

assert answer[a] == 6
assert answer[b] == 4
assert answer[c] == -8

